qr_decompose.h File Reference

Library functions to compute QR decomposition of a given matrix. More...

`#include <cmath>`
`#include <cstdlib>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <numeric>`
`#include <valarray>`
Include dependency graph for qr_decompose.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| qr_algorithm
| Functions to compute QR decomposition of any rectangular matrix.

## Functions

template<typename T >
std::ostream & | qr_algorithm::operator<< (std::ostream &out, std::valarray< std::valarray< T >> const &v)
template<typename T >
std::ostream & | qr_algorithm::operator<< (std::ostream &out, std::valarray< T > const &v)
template<typename T >
double | qr_algorithm::vector_dot (const std::valarray< T > &a, const std::valarray< T > &b)
template<typename T >
double | qr_algorithm::vector_mag (const std::valarray< T > &a)
template<typename T >
std::valarray< T > | qr_algorithm::vector_proj (const std::valarray< T > &a, const std::valarray< T > &b)
template<typename T >
void | qr_algorithm::qr_decompose (const std::valarray< std::valarray< T >> &A, std::valarray< std::valarray< T >> *Q, std::valarray< std::valarray< T >> *R)

## Detailed Description

Library functions to compute QR decomposition of a given matrix.

Author
  Krishna Vedala